LibreOffice: SortDescriptor Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
SortDescriptor Service Referencepublished

specifies the properties which can be used to describe a sort order applied to an XSortable. More...

`import"SortDescriptor.idl";`

Inheritance diagram for SortDescriptor:

## Exported Interfaces
interface | com::sun::star::beans::XPropertySet

## Public Attributes
boolean | IsCaseSensitive
| specifies if the case of letters is important when comparing entries. More...
boolean | SortAscending
| specifies the sorting order. More...
boolean | SortColumns
| specifies if the columns are sorted. More...
com::sun::star::lang::Locale | CollatorLocale
| specifies the locale for the compare operator (collator). More...
string | CollatorAlgorithm
| specifies the algorithm for the compare operator (collator). More...

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies the properties which can be used to describe a sort order applied to an XSortable.

See also
  XSortable

Deprecated:

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

## Member Data Documentation

## ◆ CollatorAlgorithm

string CollatorAlgorithm
| optionalproperty

specifies the algorithm for the compare operator (collator).

The collator algorithm may be defined for separate keys in specific implementations. For those this property may not need to be set.

See also
  com::sun::star::text::TextSortDescriptor
  com::sun::star::i18n::XCollator

## ◆ CollatorLocale

com::sun::star::lang::Locale CollatorLocale
| property

specifies the locale for the compare operator (collator).

## ◆ IsCaseSensitive

boolean IsCaseSensitive
| property

specifies if the case of letters is important when comparing entries.

## ◆ SortAscending

boolean SortAscending
| optionalproperty

specifies the sorting order.

The sorting order may be defined for separate keys in specific implementations. For those this property may not need to be set.

See also
  com::sun::star::text::TextSortDescriptor

## ◆ SortColumns

boolean SortColumns
| property

specifies if the columns are sorted.

`TRUE`

  The columns are sorted.

`FALSE`
  The rows are sorted.

The documentation for this service was generated from the following file:

- com/sun/star/util/SortDescriptor.idl